{"swagger":"2.0","info":{"title":"5G Slice Service Activation and Configuration","description":"## TMF API Reference: TMF 924 - Service Activation and Configuration\n\n Version 4.0 \n\nService Activation and Configuration API goal is to provide the ability to activate and configure Service. This API features Monitor pattern allowing to manage service configuration/activation asynchronous request (server side will provide monitor as POST/PATCH response) \n\n### TMF640 performs the following Operations on service resource :\n- Retrieve a service or a collection of services depending on filter criteria\n- Partial update of an service\n- Create a service (including default values and creation rules)\n- Delete a service (for administration purposes)\n- Manage notification of events\n\n### Monitor Resource\n\nMonitor resource is used to track and log activation and/or configuration request\n\n### TMF640 provides following operation on Monitor resource:\n\n- Retrieval of a monitor or a collection of monitor\n\nCopyright © TM Forum 2019; All Rights Reserved","version":"1.0"},"host":"serverRoot","basePath":"/tmf-api/ServiceActivationAndConfiguration/v4","schemes":["http"],"consumes":["application/json;charset=utf-8"],"produces":["application/json;charset=utf-8"],"tags":[{"name":"service"},{"name":"monitor"},{"name":"notification listeners (client side)"},{"name":"events subscription"}],"paths":{"/service":{"get":{"operationId":"listService","summary":"List or find Service objects","description":"This operation list or find Service entities","tags":["service"],"parameters":[{"name":"fields","description":"Comma-separated properties to be provided in response","required":false,"in":"query","type":"string"},{"name":"offset","description":"Requested index for start of resources to be provided in response","required":false,"in":"query","type":"integer"},{"name":"limit","description":"Requested number of resources to be provided in response","required":false,"in":"query","type":"integer"}],"responses":{"200":{"description":"Success","headers":{"X-Result-Count":{"description":"Actual number of items returned in the response body","type":"integer"},"X-Total-Count":{"description":"Total number of items matching criteria","type":"integer"}},"schema":{"type":"array","items":{"$ref":"#/definitions/5GSliceService"}}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}},"post":{"operationId":"createService","summary":"Creates a Service","description":"This operation creates a Service entity.","tags":["service"],"parameters":[{"name":"service","description":"The Service to be created","required":true,"schema":{"$ref":"#/definitions/5GSliceService_Create"},"in":"body"}],"responses":{"201":{"description":"Created","schema":{"$ref":"#/definitions/5GSliceService"}},"202":{"description":"Accepted"},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/service/{id}":{"get":{"operationId":"retrieveService","summary":"Retrieves a Service by ID","description":"This operation retrieves a Service entity. Attribute selection is enabled for all first level attributes.","tags":["service"],"parameters":[{"name":"id","description":"Identifier of the Service","required":true,"type":"string","in":"path"},{"name":"fields","description":"Comma-separated properties to provide in response","required":false,"type":"string","in":"query"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/5GSliceService"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}},"patch":{"operationId":"patchService","summary":"Updates partially a Service","description":"This operation updates partially a Service entity.","tags":["service"],"parameters":[{"name":"id","description":"Identifier of the Service","required":true,"type":"string","in":"path"},{"name":"service","description":"The Service to be updated","required":true,"schema":{"$ref":"#/definitions/5GSliceService_Update"},"in":"body"}],"responses":{"200":{"description":"Updated","schema":{"$ref":"#/definitions/5GSliceService"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}},"delete":{"operationId":"deleteService","summary":"Deletes a Service","description":"This operation deletes a Service entity.","tags":["service"],"parameters":[{"name":"id","description":"Identifier of the Service","required":true,"type":"string","in":"path"}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/monitor":{"get":{"operationId":"listMonitor","summary":"List or find Monitor objects","description":"This operation list or find Monitor entities","tags":["monitor"],"parameters":[{"name":"fields","description":"Comma-separated properties to be provided in response","required":false,"in":"query","type":"string"},{"name":"offset","description":"Requested index for start of resources to be provided in response","required":false,"in":"query","type":"integer"},{"name":"limit","description":"Requested number of resources to be provided in response","required":false,"in":"query","type":"integer"}],"responses":{"200":{"description":"Success","headers":{"X-Result-Count":{"description":"Actual number of items returned in the response body","type":"integer"},"X-Total-Count":{"description":"Total number of items matching criteria","type":"integer"}},"schema":{"type":"array","items":{"$ref":"#/definitions/Monitor"}}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/monitor/{id}":{"get":{"operationId":"retrieveMonitor","summary":"Retrieves a Monitor by ID","description":"This operation retrieves a Monitor entity. Attribute selection is enabled for all first level attributes.","tags":["monitor"],"parameters":[{"name":"id","description":"Identifier of the Monitor","required":true,"type":"string","in":"path"},{"name":"fields","description":"Comma-separated properties to provide in response","required":false,"type":"string","in":"query"}],"responses":{"200":{"description":"Success","schema":{"$ref":"#/definitions/Monitor"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/hub":{"post":{"operationId":"registerListener","summary":"Register a listener","description":"Sets the communication endpoint address the service instance must use to deliver information about its health state, execution state, failures and metrics.","tags":["events subscription"],"parameters":[{"name":"data","schema":{"$ref":"#/definitions/EventSubscriptionInput"},"required":true,"in":"body","description":"Data containing the callback endpoint to deliver the information"}],"responses":{"201":{"description":"Subscribed","schema":{"$ref":"#/definitions/EventSubscription"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/hub/{id}":{"delete":{"operationId":"unregisterListener","summary":"Unregister a listener","description":"Resets the communication endpoint address the service instance must use to deliver information about its health state, execution state, failures and metrics.","tags":["events subscription"],"parameters":[{"name":"id","type":"string","required":true,"in":"path","description":"The id of the registered listener"}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method not allowed","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/listener/serviceCreateEvent":{"post":{"operationId":"listenToServiceCreateEvent","summary":"Client listener for entity ServiceCreateEvent","description":"Example of a client listener for receiving the notification ServiceCreateEvent","tags":["notification listeners (client side)"],"parameters":[{"name":"data","required":true,"in":"body","description":"The event data","schema":{"$ref":"#/definitions/ServiceCreateEvent"}}],"responses":{"201":{"description":"Notified","schema":{"$ref":"#/definitions/EventSubscription"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/listener/serviceAttributeValueChangeEvent":{"post":{"operationId":"listenToServiceAttributeValueChangeEvent","summary":"Client listener for entity ServiceAttributeValueChangeEvent","description":"Example of a client listener for receiving the notification ServiceAttributeValueChangeEvent","tags":["notification listeners (client side)"],"parameters":[{"name":"data","required":true,"in":"body","description":"The event data","schema":{"$ref":"#/definitions/ServiceAttributeValueChangeEvent"}}],"responses":{"201":{"description":"Notified","schema":{"$ref":"#/definitions/EventSubscription"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/listener/serviceStateChangeEvent":{"post":{"operationId":"listenToServiceStateChangeEvent","summary":"Client listener for entity ServiceStateChangeEvent","description":"Example of a client listener for receiving the notification ServiceStateChangeEvent","tags":["notification listeners (client side)"],"parameters":[{"name":"data","required":true,"in":"body","description":"The event data","schema":{"$ref":"#/definitions/ServiceStateChangeEvent"}}],"responses":{"201":{"description":"Notified","schema":{"$ref":"#/definitions/EventSubscription"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/listener/serviceDeleteEvent":{"post":{"operationId":"listenToServiceDeleteEvent","summary":"Client listener for entity ServiceDeleteEvent","description":"Example of a client listener for receiving the notification ServiceDeleteEvent","tags":["notification listeners (client side)"],"parameters":[{"name":"data","required":true,"in":"body","description":"The event data","schema":{"$ref":"#/definitions/ServiceDeleteEvent"}}],"responses":{"201":{"description":"Notified","schema":{"$ref":"#/definitions/EventSubscription"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/listener/monitorCreateEvent":{"post":{"operationId":"listenToMonitorCreateEvent","summary":"Client listener for entity MonitorCreateEvent","description":"Example of a client listener for receiving the notification MonitorCreateEvent","tags":["notification listeners (client side)"],"parameters":[{"name":"data","required":true,"in":"body","description":"The event data","schema":{"$ref":"#/definitions/MonitorCreateEvent"}}],"responses":{"201":{"description":"Notified","schema":{"$ref":"#/definitions/EventSubscription"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/listener/monitorAttributeValueChangeEvent":{"post":{"operationId":"listenToMonitorAttributeValueChangeEvent","summary":"Client listener for entity MonitorAttributeValueChangeEvent","description":"Example of a client listener for receiving the notification MonitorAttributeValueChangeEvent","tags":["notification listeners (client side)"],"parameters":[{"name":"data","required":true,"in":"body","description":"The event data","schema":{"$ref":"#/definitions/MonitorAttributeValueChangeEvent"}}],"responses":{"201":{"description":"Notified","schema":{"$ref":"#/definitions/EventSubscription"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/listener/monitorStateChangeEvent":{"post":{"operationId":"listenToMonitorStateChangeEvent","summary":"Client listener for entity MonitorStateChangeEvent","description":"Example of a client listener for receiving the notification MonitorStateChangeEvent","tags":["notification listeners (client side)"],"parameters":[{"name":"data","required":true,"in":"body","description":"The event data","schema":{"$ref":"#/definitions/MonitorStateChangeEvent"}}],"responses":{"201":{"description":"Notified","schema":{"$ref":"#/definitions/EventSubscription"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}},"/listener/monitorDeleteEvent":{"post":{"operationId":"listenToMonitorDeleteEvent","summary":"Client listener for entity MonitorDeleteEvent","description":"Example of a client listener for receiving the notification MonitorDeleteEvent","tags":["notification listeners (client side)"],"parameters":[{"name":"data","required":true,"in":"body","description":"The event data","schema":{"$ref":"#/definitions/MonitorDeleteEvent"}}],"responses":{"201":{"description":"Notified","schema":{"$ref":"#/definitions/EventSubscription"}},"400":{"description":"Bad Request","schema":{"$ref":"#/definitions/Error"}},"401":{"description":"Unauthorized","schema":{"$ref":"#/definitions/Error"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/Error"}},"404":{"description":"Not Found","schema":{"$ref":"#/definitions/Error"}},"405":{"description":"Method Not allowed","schema":{"$ref":"#/definitions/Error"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/Error"}},"500":{"description":"Internal Server Error","schema":{"$ref":"#/definitions/Error"}}}}}},"definitions":{"Addressable":{"type":"object","description":"Base schema for adressable entities","properties":{"id":{"type":"string","description":"unique identifier"},"href":{"type":"string","format":"uri","description":"Hyperlink reference"},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"Any":{},"Characteristic":{"type":"object","description":"Describes a given characteristic of an object or entity through a name/value pair.","required":["name","value"],"properties":{"id":{"type":"string","description":"Unique identifier of the characteristic"},"name":{"type":"string","description":"Name of the characteristic"},"valueType":{"type":"string","description":"Data type of the value of the characteristic"},"characteristicRelationship":{"type":"array","items":{"$ref":"#/definitions/CharacteristicRelationship"}},"value":{"$ref":"#/definitions/Any","description":"The value of the characteristic"},"@baseType":{"example":"ResourceSpecification","type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"example":"https://mycsp.com:8080/tmf-api/schema/Resource/LogicalResourceSpecification.schema.json","type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"example":"LogicalResourceSpecification","type":"string","description":"When sub-classing, this defines the sub-class Extensible name"}}},"CharacteristicRelationship":{"type":"object","description":"Another Characteristic that is related to the current Characteristic;","properties":{"id":{"type":"string","description":"Unique identifier of the characteristic"},"relationshipType":{"type":"string","description":"The type of relationship"},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"ConstraintRef":{"type":"object","description":"Constraint reference. The Constraint resource represents a policy/rule applied to an entity or entity spec.","properties":{"id":{"type":"string","description":"reference id to the target constraint"},"href":{"type":"string","description":"Hyperlink reference to the target constraint"},"name":{"type":"string","description":"Name given to the constraint"},"version":{"type":"string","description":"constraint version"},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"},"@referredType":{"type":"string","description":"The (class) type of the referred constraint"}},"required":["id"]},"EntityRef":{"type":"object","description":"Entity reference schema to be use for all entityRef class.","properties":{"id":{"type":"string","description":"unique identifier"},"href":{"type":"string","format":"uri","description":"Hyperlink reference"},"name":{"type":"string","description":"Name of the related entity."},"@baseType":{"example":"ResourceSpecification","type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"example":"https://mycsp.com:8080/tmf-api/schema/Resource/LogicalResourceSpecification.schema.json","type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"example":"LogicalResourceSpecification","type":"string","description":"When sub-classing, this defines the sub-class Extensible name"},"@referredType":{"type":"string","description":"The actual type of the target instance when needed for disambiguation."}},"required":["id"]},"EntityValue":{"type":"object","description":"Base entity value  schema for use in TMForum Open-APIs","properties":{"id":{"type":"string","description":"Unique identifier of a related entity."},"href":{"type":"string","description":"Reference of the related entity."},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"Extensible":{"type":"object","description":"Base Extensible schema for use in TMForum Open-APIs","properties":{"@baseType":{"example":"ResourceSpecification","type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"example":"https://mycsp.com:8080/tmf-api/schema/Resource/LogicalResourceSpecification.schema.json","type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"example":"LogicalResourceSpecification","type":"string","description":"When sub-classing, this defines the sub-class Extensible name"}}},"Feature":{"type":"object","description":"Configuration feature.","required":["featureCharacteristic","name"],"properties":{"id":{"type":"string","description":"Unique identifier of the feature."},"isBundle":{"type":"boolean","description":"True if this is a feature group. Default is false."},"isEnabled":{"type":"boolean","description":"True if this feature is enabled. Default is true."},"name":{"type":"string","description":"This is the name for the feature."},"constraint":{"type":"array","items":{"$ref":"#/definitions/ConstraintRef"},"description":"This is a list of feature constraints."},"featureCharacteristic":{"type":"array","items":{"$ref":"#/definitions/Characteristic"},"minItems":1,"description":"This is a list of Characteristics for a particular feature."},"featureRelationship":{"type":"array","items":{"$ref":"#/definitions/FeatureRelationship"}},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"FeatureRelationship":{"type":"object","description":"Configuration feature","required":["name","relationshipType"],"properties":{"id":{"type":"string","description":"Unique identifier of the target feature."},"name":{"type":"string","description":"This is the name of the target feature."},"relationshipType":{"type":"string","description":"This is the type of the feature relationship."},"validFor":{"$ref":"#/definitions/TimePeriod","description":"The period for which this feature relationship is valid."},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"HeaderItem":{"type":"object","description":"An item typically included in a request or response","required":["name","value"],"properties":{"name":{"type":"string","description":"The name of the header item, e.g. locale"},"value":{"type":"string","description":"The value of the header item, e.g. en-us"},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"Monitor":{"type":"object","description":"Monitoring of resources","properties":{"id":{"type":"string","description":"Identifier of an instance of the monitor. Required to be unique within the resource type.  Used in URIs as the identifier for specific instances of a type"},"href":{"type":"string","description":"reference to this monitor"},"sourceHref":{"type":"string","description":"The monitored resource href"},"state":{"type":"string","description":"The Monitor state of the resource.  InProgress, InError, Completed"},"request":{"$ref":"#/definitions/Request","description":"Represents the request"},"response":{"$ref":"#/definitions/Response","description":"Represents the response"},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"Note":{"type":"object","description":"Extra information about a given entity","properties":{"id":{"type":"string","description":"Identifier of the note within its containing entity (may or may not be globally unique, depending on provider implementation)"},"author":{"type":"string","description":"Author of the note"},"date":{"type":"string","format":"date-time","description":"Date of the note"},"text":{"type":"string","description":"Text of the note"},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"OrderItemActionType":{"type":"string","description":"action to be performed on the product","enum":["add","modify","delete","noChange"]},"Place":{"type":"object","description":"Place reference. Place defines the places where the products are sold or delivered.","properties":{"id":{"type":"string","description":"Unique identifier of the place"},"href":{"type":"string","description":"Unique reference of the place"},"name":{"type":"string","description":"A user-friendly name for the place, such as [Paris Store], [London Store], [Main Home]"},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"PlaceRef":{"type":"object","description":"Place reference. PlaceRef defines the placeRefs where the products are sold or delivered.","properties":{"id":{"type":"string","description":"unique identifier"},"href":{"type":"string","format":"uri","description":"Hyperlink reference"},"name":{"type":"string","description":"Name of the related entity."},"@baseType":{"example":"ResourceSpecification","type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"example":"https://mycsp.com:8080/tmf-api/schema/Resource/LogicalResourceSpecification.schema.json","type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"example":"LogicalResourceSpecification","type":"string","description":"When sub-classing, this defines the sub-class Extensible name"},"@referredType":{"type":"string","description":"The actual type of the target instance when needed for disambiguation."}},"required":["id"]},"RelatedEntityRefOrValue":{"type":"object","description":"A reference to an entity, where the type of the entity is not known in advance. A related entity defines a entity described by reference or by value linked to a specific entity. The polymorphic attributes @type, @schemaLocation & @referredType are related to the Entity and not the RelatedEntityRefOrValue class itself","required":["role"],"properties":{"id":{"type":"string","description":"Unique identifier of a related entity."},"href":{"type":"string","description":"Reference of the related entity."},"name":{"type":"string","description":"Name of the related entity."},"role":{"type":"string"},"@baseType":{"example":"ResourceSpecification","type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"example":"https://mycsp.com:8080/tmf-api/schema/Resource/LogicalResourceSpecification.schema.json","type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"example":"LogicalResourceSpecification","type":"string","description":"When sub-classing, this defines the sub-class Extensible name"},"@referredType":{"type":"string","description":"The actual type of the target instance when needed for disambiguation."}}},"RelatedParty":{"type":"object","description":"Related Entity reference. A related party defines party or party role linked to a specific entity.","required":["@referredType","id"],"properties":{"id":{"type":"string","description":"unique identifier"},"href":{"type":"string","format":"uri","description":"Hyperlink reference"},"name":{"type":"string","description":"Name of the related entity."},"role":{"type":"string","description":"Role played by the related party"},"@baseType":{"example":"ResourceSpecification","type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"example":"https://mycsp.com:8080/tmf-api/schema/Resource/LogicalResourceSpecification.schema.json","type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"example":"LogicalResourceSpecification","type":"string","description":"When sub-classing, this defines the sub-class Extensible name"},"@referredType":{"type":"string","description":"The actual type of the target instance when needed for disambiguation."}}},"RelatedPlaceRefOrValue":{"type":"object","description":"Related Entity reference. A related place defines a place described by reference or by value linked to a specific entity. The polymorphic attributes @type, @schemaLocation & @referredType are related to the place entity and not the RelatedPlaceRefOrValue class itself","required":["role"],"properties":{"id":{"type":"string","description":"Unique identifier of the place"},"href":{"type":"string","description":"Unique reference of the place"},"name":{"type":"string","description":"A user-friendly name for the place, such as [Paris Store], [London Store], [Main Home]"},"role":{"type":"string"},"@baseType":{"example":"ResourceSpecification","type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"example":"https://mycsp.com:8080/tmf-api/schema/Resource/LogicalResourceSpecification.schema.json","type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"example":"LogicalResourceSpecification","type":"string","description":"When sub-classing, this defines the sub-class Extensible name"},"@referredType":{"type":"string","description":"The actual type of the target instance when needed for disambiguation."}}},"RelatedServiceOrderItem":{"type":"object","description":"RelatedServiceOrderItem (a ServiceOrder item) .The service order item which triggered service creation/change/termination.","required":["itemId","serviceOrderId"],"properties":{"itemId":{"type":"string","description":"Identifier of the order item where the service was managed"},"role":{"type":"string","description":"role of the service order item for this service"},"serviceOrderHref":{"type":"string","description":"Reference of the related entity."},"serviceOrderId":{"type":"string","description":"Unique identifier of a related entity."},"itemAction":{"$ref":"#/definitions/OrderItemActionType","description":"Action of the order item for this service"},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"},"@referredType":{"type":"string","description":"The actual type of the target instance when needed for disambiguation."}}},"Request":{"type":"object","description":"A response to a request","required":["body","header"],"properties":{"body":{"type":"string","description":"The body of the request. For example for an HTTP request might contain content of a form ."},"method":{"type":"string","description":"The protocol of the request, e.g. http"},"to":{"type":"string","description":"The target of the request, e.g. a URL for an HTTP request"},"header":{"type":"array","items":{"$ref":"#/definitions/HeaderItem"},"minItems":1,"description":"Items included in the header of the request. For example for an HTTP request might contain requested locale, basic authentication."},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"ResourceRef":{"type":"object","properties":{"id":{"type":"string","description":"unique identifier"},"href":{"type":"string","format":"uri","description":"Hyperlink reference"},"name":{"type":"string","description":"Name of the related entity."},"@baseType":{"example":"ResourceSpecification","type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"example":"https://mycsp.com:8080/tmf-api/schema/Resource/LogicalResourceSpecification.schema.json","type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"example":"LogicalResourceSpecification","type":"string","description":"When sub-classing, this defines the sub-class Extensible name"},"@referredType":{"type":"string","description":"The actual type of the target instance when needed for disambiguation."}},"required":["id"]},"Response":{"type":"object","description":"A response to a request","required":["body","header"],"properties":{"body":{"type":"string","description":"The body of the response. For example for an HTTP response might contain HTML for rendering."},"statusCode":{"type":"string","description":"The status of the response. For example for an HTTP response would be codes such as 200, 400, etc."},"header":{"type":"array","items":{"$ref":"#/definitions/HeaderItem"},"minItems":1,"description":"Items included in the header of the response. For example for an HTTP response might contain negotiated locale."},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"Service":{"type":"object","description":"Service is a base class for defining the Service hierarchy. All Services are characterized as either being possibly visible and usable by a Customer or not. This gives rise to the two subclasses of Service: CustomerFacingService and ResourceFacingService.","properties":{"id":{"type":"string","description":"Unique identifier of the service"},"href":{"type":"string","description":"Reference of the service"},"category":{"type":"string","description":"Is it a customer facing or resource facing service"},"description":{"type":"string","description":"Free-text description of the service"},"endDate":{"type":"string","format":"date-time","description":"Date when the service ends"},"hasStarted":{"type":"boolean","description":"If TRUE, this Service has already been started"},"isBundle":{"type":"boolean","description":"If true, the service is a ServiceBundle which regroup a service hierachy. If false, the service is a 'atomic' service (hierachy leaf)."},"isServiceEnabled":{"type":"boolean","description":"If FALSE and hasStarted is FALSE, this particular Service has NOT been enabled for use - if FALSE and hasStarted is TRUE then the service has failed "},"isStateful":{"type":"boolean","description":"If TRUE, this Service can be changed without affecting any other services"},"name":{"type":"string","description":"Name of the service"},"serviceDate":{"type":"string","description":"Date when the service was created (whatever its status)."},"serviceType":{"type":"string","description":"Business type of the service"},"startDate":{"type":"string","format":"date-time","description":"Date when the service starts"},"startMode":{"type":"string","description":"This attribute is an enumerated integer that indicates how the Service is started, such as: 0: Unknown; 1: Automatically by the managed environment; 2: Automatically by the owning device; 3: Manually by the Provider of the Service; 4: Manually by a Customer of the Provider; 5: Any of the above"},"feature":{"type":"array","items":{"$ref":"#/definitions/Feature"},"description":"A list of feature associated with this service "},"note":{"type":"array","items":{"$ref":"#/definitions/Note"},"description":"A list of notes made on this service"},"place":{"type":"array","items":{"$ref":"#/definitions/RelatedPlaceRefOrValue"},"description":"A list of places (Place [*]). Used to define a place useful for the service (for example a geographical place whre the service is installed)"},"relatedEntity":{"type":"array","items":{"$ref":"#/definitions/RelatedEntityRefOrValue"},"description":"A list of related  entity in relationship with this service "},"relatedParty":{"type":"array","items":{"$ref":"#/definitions/RelatedParty"},"description":"A list of related party references (RelatedParty [*]). A related party defines party or party role linked to a specific entity"},"serviceCharacteristic":{"type":"array","items":{"$ref":"#/definitions/Characteristic"},"description":"A list of characteristics that characterize this service (ServiceCharacteristic [*]) "},"serviceOrderItem":{"type":"array","items":{"$ref":"#/definitions/RelatedServiceOrderItem"},"description":"A list of service order items related to this service"},"serviceRelationship":{"type":"array","items":{"$ref":"#/definitions/ServiceRelationship"},"description":"A list of service relationships (ServiceRelationship [*]). Describes links with other service(s) in the inventory (useful for describing relies-on, relies-from between CFS for example)."},"serviceSpecification":{"$ref":"#/definitions/ServiceSpecificationRef","description":"The specification from which this service was instantiated"},"state":{"$ref":"#/definitions/ServiceStateType","description":"The life cycle state of the service, such as designed, reserved, active, etc..."},"supportingResource":{"type":"array","items":{"$ref":"#/definitions/ResourceRef"},"description":"A list of supporting resources (SupportingResource [*]).Note: only Service of type RFS can be associated with Resources"},"supportingService":{"type":"array","items":{"$ref":"#/definitions/ServiceRefOrValue"},"description":"A list of supporting services (SupportingService [*]). A collection of services that support this service (bundling, link CFS to RFS)"},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"5GSliceService":{"description":"5G Slice Service","type":"object","example":{"availability":"99,999","areaOfService":[{"country":"AA","listOfRegion":"fullCountry","region":[{"regionCode":"regionCode"}]}],"delayTolerance":"Supported","deterministicCommunication":{"availability":"Supported","periodicity":["2 sec"]},"downlinkThroughputPerNetworkSlice":{"guaranteedDownlinkThroughputQuota":0,"additionalDownlinkGBRQoSFlow":"allowed","maxDownlinkThroughputNetworkSlice":0},"maxDownlinkThroughputNetworkperUE":{"maxDownlinkThroughputNetworkperUEValue":0,"serviceCategory":["serviceCategory0"]},"networkSliceEnergyEfficiencyKPI":"notSupported","groupCommunicationSupport":"Broadcast/Multicast + SC-PTM","isolationLevel":{"isolation":"No Isolation","physicalIsolation":"Process and threads Isolation","logicalIsolation":"Virtual resource isolation"},"maximumSupportedPacketSize":1500,"missionCriticalSupport":{"support":"Mission critical","capabilitySupport":"Inter-user prioritization","serviceSupport":"MCPTT,MCData,MCVideo"},"MMTelSupport":"Supported","NB-IoTSupport":"NotSupported","networkFunctionsOwnedByNetworkSliceCustomer":["networkFunctionsOwnedByNetworkSliceCustomer0"],"maximumNumberOfPDUSessions":{"maximumNumberOfPDUSessions":0,"epsCountingRequired":false},"maximumNumberOfUEs":{"maximumNumberOfUEs":0,"epsCountingRequired":false},"performanceMonitoring":{"availability":"Service Request Success Rate","monitoringSampleFrequency":"Per minute"},"performancePrediction":{"availability":"Throughput,Latency,Service Request Success Rate","predictionFrequency":"Per minute"},"positioningSupport":{"availability":"CIDE-CID (LTE and NR),OTDOA (LTE and NR),AECID","predictionFrequency":"Per minute","accuracy":0},"radioSpectrum":"radioSpectrum","rootCauseInvestigation":"not supported","sessionAndServiceContinuitySupport":"SSC mode 1","simultaneousUseOfNetworkSlice":{"simultaneousUseClass":"Can be used with any slice","serviceCategory":"serviceCategory"},"sliceQualityOfService":{"5QI":83,"priorityLeve":"priorityLevel","packetDelayBudget":"packetDelayBudget","packetErrorRate":"packetErrorRate","averagingWindow":0,"maximumDataBurstVolume":0,"maximumPacketLossRate":0},"supportForNon-IPTraffic":"Supported","supportedDeviceVelocity":450,"synchronicity":{"availability":"Between BS and UE & UE andUE","accuracy":0},"UEDensity":10000,"uplinkThroughputPerNetworkSlice":{"guaranteedUplinkThroughput":0,"additionalUplinkGBRQoSFlows":"allowed","maximumUplinkThroughput":0},"uplinkThroughputPerUE":{"maximumUplinkThroughput":0,"serviceCategory":"serviceCategory"},"userManagementOpenness":"Supported","dataNetworkAccess":{"dataAccessPerNetwork":"Direct internet access","tunnellingMechanism":"L2TP Tunnel"},"V2XCommunicationMode":"YES -NR and E-UTRA&quot","latencyFromLastUFPtoApplicationServer":0,"NSSAARequired":"Not supported","multimediaPriorityService":{"multimediaPriorityService":"MPS","capabilitySupport":"","priorityServiceSupport":""},"sliceSegment":"End to End","supporteDataNetwork":{"supportedDataNetwork":"supportedDataNetwork","serviceCategory":"serviceCategory"},"id":"ff9d2d0d-8075-4382-ab6a-ecea25a323e8","href":"https://mycsp.com/tmf-api/v4/service/ff9d2d0d-8075-4382-ab6a-ecea25a323e8","@type":"5GSlice"},"properties":{"availability":{"description":"(Communication service)availability: percentage value of the amount of time the end-to-end communication service is delivered according to an agreed QoS, divided by the amount of time the system is expected to deliver the end-to-end service according to the specification in a specific area","type":"number"},"areaOfService":{"type":"array","items":{"type":"object","properties":{"country":{"type":"string","description":"This attribute specifies the area where the terminals can access a particular network slice. Therefore, the attribute specifies the list of the countries where the service will be provided. The list is specific to NSPs and their roaming agreements","pattern":"^[A-Z][A-Z]"},"listOfRegion":{"type":"string","enum":["fullCountry","listOfRegions"],"description":"For every single country listed in the area of service attribute it needs to be indicated if the service will be provided in the whole country or just in part of the country. If the NSC requires a specific location, this attribute can be used to specify the regions of the country where the service will be provided. It needs to be completed for every country listed in the Area of service attribute. The list of regions is specific for each country and the way to define these regions is the decision of the NSC and NSP."},"region":{"type":"array","items":{"type":"object","properties":{"regionCode":{"type":"string","description":"List of regions"}}}}}}},"delayTolerance":{"type":"string","enum":["notSupported","supported"],"default":"notSupportedd","description":"Provide the NSC with service delivery flexibility, especially for the vertical services that are not chasing a high system performance. For instance, the service will be delivered once the mobile system has sufficient resources or during the off-peak hours. For this type of traffic, it is not too critical how long it takes to deliver the amount of data, e.g. within hours, days, weeks, etc."},"deterministicCommunication":{"type":"object","properties":{"availability":{"type":"string","enum":["notSupported","supported"],"default":"notSupported","description":"Availability describes if the network slice supports deterministic communication."},"periodicity":{"type":"array","items":{"type":"string","description":"Periodicity provides a list of periodicities supported by the network slice."}}}},"downlinkThroughput":{"type":"number","minimum":0,"maximum":1000000,"description":"This attribute describes the guaranteed data rate supported by the network slice in downlink."},"additionalDownlinkGBRQoSFlow":{"type":"string","enum":["allowed","notAllowed"],"default":"notAllowed","description":"Additional downlink GBR QoS flows ."},"maxDownlinkThroughputNetworkSlice":{"type":"number","minimum":0,"maximum":1000000,"description":"This attribute defines the maximum data rate supported by the network slice in downlink."},"maxDownlinkThroughputNetworkperUE":{"type":"object","required":["maxDownlinkThroughputNetworkperUEValue"],"properties":{"maxDownlinkThroughputNetworkperUEValue":{"type":"number","minimum":0,"maximum":1000000,"description":"This attribute defines the maximum data rate supported by the network slice in downlink."},"serviceCategory":{"type":"array","items":{"type":"string","description":"This attribute defines a service category wich may be assigned to certain groups of devices using the netwirk slice, associated to a Maximum Dowlink Troughput"}}}},"energyEfficiency":{"type":"string","enum":["notSupported","supported"],"default":"notSupported","description":"This attribute describes wether the network slice supports the energy efficiency KPI"},"groupCommunicationSupport":{"description":"This parameter describes which type of group communication is provided by the network slice. ","enum":["NotSupported","Single Cell Point to Multipoint (SCPTM)","Broadcast/Multicast","Broadcast/Multicast + SC-PTM","Unicast"],"default":"NotSupported"},"isolation":{"description":"Isolation is one of the key expectations of network slicing. A network slice instance may be fully or partly, logically and/or physically, isolated from another network slice instance. ","enum":["No Isolation","Physical Isolation","Logical Isolation"],"default":"No Isolation"},"physicalIsolation":{"description":"Physical network slices are physically separated (e.g. different rack, different hardware, different location, etc.). Process and threads isolation,  Physical memory isolation, Physical network isolation","enum":["Process and threads Isolation","Physical memory Isolation","Physical network isolation"],"default":"Process and threads Isolation"},"logicalIsolation":{"description":"Logical network slices are logically separated. Virtual resources isolation a network slice has access to specific range of resources that do not overlap with other network slices (e.g. VM isolation). Network functions isolation   NF (Network Function) is dedicated to the NSC, but virtual resources are shared. Tenant/Service Isolation  NSC data are isolated from other NSCs, but virtual resources and NFs are shared","enum":["Virtual resource isolation","Network Function isolation","Tenant/Service isolation"],"default":"Virtual resource isolation"},"maximumSupportedPacketSize":{"description":"This attribute describes the maximum packet size in Bytes supported by the network slice and may be important for URLLC (Ultra-Reliable Low Latency Communication) and MIoT (Massive IoT), or to indicate a supported maximum transmission unit (MTU).","type":"integer"},"missionCriticalSupport":{"description":"Mission-critical (MC) leads to a priority of the network slice relative to others, for C-plane (Control Plane) and U-plane (User Plane) decisions. This is relative to a customer provider relationship and to a PLMN (Public land Mobile Network)","enum":["non-mission-critical","mission-critical"],"default":"non-mission-critical"},"missionCriticalCapabilitySupport":{"description":"This parameter specifies what capabilities are available to support mission-critical services.  More than one capability may be supported at once.  This parameter must be present if Mission critical supportis set toMission-critical.","enum":["Inter-user prioritization","Pre-emption","Local control"],"default":"Inter-user prioritization"},"missionCriticalServiceSupport":{"description":"This attribute specifies whether or not the network slice supports mission-critical push-to-talk (MCPTT), mission-critical data (MCData)], mission-critical video (MCVideo), Isolated E-UTRAN Operation for Public Safety (IOPS), or mission-critical interworking","enum":["MCPTT","MCData","MCVideo","MC interworking"],"default":"MCPTT"},"MMTelSupport":{"description":"This attribute describes whether the network slice supports IP Multimedia Subsystem (IMS) and Multimedia Telephony Service MMTel. This parameter describes whether the GSMA PRD IR.92 0 compliant MMTel deployment is supported in the network slice","enum":["Suported","NotSupported"],"default":"NotSupported"},"NB-IoTSupport":{"description":"This parameter describes whether NB-IoTis supported in the network slice","enum":["Suported","NotSupported"],"default":"NotSupported"},"EPSCountingRequiredUE":{"description":"If this parameter indicates that EPS counting is required, the UE sessions counting shall also take into account the PDN connections in the EPS connected to an APN that maps to a DNN/S-NSSAI of the network slice. ","enum":["no","yes"],"default":"no"},"performanceMonitoring":{"type":"object","properties":{"availability":{"description":"This parameter contains a list of KQIs and KPIs available for prediction. If the list is empty, the attribute is not available in the network slice and the other parameters might be ignored","enum":["Throughput","Latency","Service Request Success Rate"],"default":"Throughput"},"monitoringSampleFrequency":{"description":"This parameter describes how often the KQIs and KPIs are monitored.","enum":["per second","per minute","per hour","conditional, e.g. in case a defined threshold is crossed"],"default":"per second"}}},"performancePrediction":{"type":"object","properties":{"availability":{"description":"This parameter contains a list of KQIs and KPIs available for prediction. If the list is empty, the attribute is not available in the network slice and the other parameters might be ignored","enum":["Service Request Success Rate"],"default":"Service Request Success Rate"},"predictionFrequency":{"description":"This parameter describes how often KQIs and KPIs prediction values are provided","enum":["per second","per minute","per hour"],"default":"per second"}}},"positioningSupportAvailability":{"description":"This parameter describes if this attribute is provided by the network slice and contains a list of positioning methods provided by the slice. If the list is empty this attribute is not available in the network slice and the other parameters might be ignored","enum":["CID","OTDOA (LTE and NR)","RF fingerprinting","AECID","Hybrid positioning","NET-RTK"]},"positioningSupportPredictionFrequency":{"description":"This parameter describes how often location information is provided. This parameter simply defines how often the customer is allowed to request location information. This is not related to the time it takes to determine the location, which is a characteristic of the positioning method.","enum":["per second","per minute","per hour","conditional, e.g. in case a defined threshold is crossed"],"default":"per second"},"positioningSupportAccuracy":{"description":"This parameter describes the accuracy of the location information. Accuracy depends on the respective positioning solution applied in the network slice","type":"number"},"radioSpectrum":{"description":"Defines the radio spectrum supported by the network slice. See NR operating band identifiers in 3GPP TS 38.101-4","type":"string"},"rootCauseInvestigation":{"description":"Root cause investigation is the capability provided to NSC to understand or investigate the root cause of network service performance degradation or failure","enum":["not supported","passive investigation","active investigation"],"default":"not supported"},"sessionAndServiceContinuitySupport":{"description":"The attribute defines the continuity of a Protocol Data Unit (PDU) session. The following three Session and Service Continuity (SSC) modes are specified: SSC mode 1 - the network preserves the connectivity service provided to the UE (the IP address is preserved), SSC mode 2 - the network may release the connectivity service delivered to the UE and release the corresponding PDU Session (the network may release IP address(es) that had been allocated to the UE), SSC mode 3 - changes to the user plane can be visible to the UE, while the network ensures that the UE suffers no loss of connectivity service (the IP address is not preserved in this mode when the PDU Session Anchor changes), None – UE loses the connectivity service","enum":["SSC mode 1","SSC mode 2","SSC mode 3"]},"simultaneousUseOfNetworkSlice":{"description":"This attribute describes whether a network slice can be simultaneously with other network slice and if so, which group the network slice belongs to","enum":["Can be used with any slice","Can be used with slices with same SST value","Can be used with any slice with same SD value","Can be used simultaneously with any network slice with the same SD value but different SST value ","Cannot be used simultaneously with any another network slice ","operator defined class"],"default":"Can be used with any slice"},"simultaneousUseOfNetworkSliceServiceCategory":{"description":"This attribute defines a service category wich may be assigned to a UE, associated to a Simlultaneous class value","type":"string"},"sliceQualityOfServiceParameters5QI":{"description":"A 5QI is a scalar used as a reference to 5G QoS characteristics defined in clause [1], i.e. access node-specific parameters that control QoS forwarding treatment for the QoS Flow (e.g. scheduling weights, admission thresholds, queue management thresholds, link layer protocol configuration, etc.). 3GPP has already defined standardized 5QI to QoS characteristics mapping. See 5QI value in the table of GNST","type":"integer","minimum":1,"maximum":200},"sliceQualityOfServiceParametersPriorityLeve":{"description":"The Priority level associated with 5G QoS characteristics indicates a priority in scheduling resources among QoS Flows. The Priority level shall be used to differentiate between QoS Flows of the same UE, and it shall also be used to differentiate between QoS Flows from different UEs. Once all QoS requirements up to GFBR are fulfilled for all the Guaranteed Bit Rate (GBR) QoS Flows, the Priority Level may also be used to distribute resources between GBR QoS Flows (for rates above GFBR up to MFBR, Maximum Flow Bit Rate) and non- GBR QoS Flows, in an implementation specific manner. The lowest Priority level value corresponds to the highest Priority [1]. This value needs to be provided for each customised 5QI value selected..","type":"string"},"sliceQualityOfServiceParametersPacketDelayBudget":{"description":"The Packet Delay Budget (PDB) defines an upper bound for the time that a packet may be delayed between the UE and the UPF, that terminates the N6 interface. For a certain 5QI the value of the PDB is the same in UL (Uplink) and DL (Downlink). In the case of 3GPP access, the PDB is used to support the configuration of scheduling and link layer functions (e.g. the setting of scheduling priority weights and HARQ (Hybrid Automatic Repeat request) target operating points).","type":"string"},"sliceQualityOfServiceParametersPacketErrorRate":{"description":"The Packet Error Rate (PER) defines an upper bound for the rate of PDUs (e.g. IP packets) that have been processed by the sender but that are not successfully delivered by the corresponding receiver. The purpose of the PER is to allow for the appropriate link layer, protocol configurations (e.g. RLC and HARQ in RAN of a 3GPP access). For all 5QIs the value of the PER is the same in UL and DL. For GBR QoS Flows with Delay critical GBR resource type, a packet which is delayed more than PDB (but which complies with the GFBR and MDBV (Maximum Data Burst Volume) requirements) is counted as lost, and included in the PER. This value needs to be provided for each customised 5QI value selected.","type":"string"},"averagingWindow":{"description":"millisecond Each GBR QoS Flow shall be associated with an Averaging window. The Averaging window represents the duration over which the GFBR and MFBR shall be calculated (e.g. in the (R)AN, UPF, UE). (see clause 5.7.3.6 of 3GPP TS 23.501 [1]).","type":"integer"},"maximumDataBurstVolume":{"description":"bytes Each GBR QoS Flow with Delay-critical resource type shall be associated with a Maximum Data Burst Volume (MDBV). MDBV denotes the largest amount of data that the 5G-AN is required to serve within a period of 5G-AN PDB (i.e. 5G-AN part of the PDB) (see clause 5.7.3.7 of 3GPP TS 23.501 [1]). ","type":"integer"},"sliceQualityOfServiceParametersMaximumPacketLossRate":{"description":"Percentage The Maximum Packet Loss Rate (UL, DL) indicates the maximum rate for lost packets of the QoS flow that can be tolerated in the uplink (UL) and downlink (DL) direction.","type":"integer"},"supportForNon-IPTraffic":{"description":"Percentage The Maximum Packet Loss Rate (UL, DL) indicates the maximum rate for lost packets of the QoS flow that can be tolerated in the uplink (UL) and downlink (DL) direction.","enum":["Suported","NotSupported"],"default":"NotSupported"},"supportedDeviceVelocity":{"description":"Kilometres per hour (km/h) Maximum speed supported by the network slice at which a defined QoS and seamless transfer between TRxPs (Transmission Reception Point(s)), which may belong to different deployment layers and/or radio access technologies (multi-layer /-RAT), can be achieved.","type":"integer"},"synchronicityAvailability":{"description":"The synchronicity between devices over PC5 in absence of the network is not in scope of this attribute.","enum":["Suported","NotSupported"],"default":"NotSupported"},"synchronicityAccuracy":{"description":"This parameter describes the accuracy of the synchronicity. in Seconds","type":"number"},"UEDensity":{"description":"This attribute describes the maximum number of connected and/or accessible devices per unit area (per km2) supported by the network slice.Number per km2","type":"integer"},"uplinkThroughputPerNetworkSliceGuaranteedUplinkThroughput":{"description":"This attribute describes the guaranteed data rate supported by the network slice in uplink. There are services (e.g. emergency services) where guaranteed uplink throughput is required. kbps","type":"integer"},"uplinkThroughputPerNetworkSliceAdditionalUplinkGBRQoSFlows":{"enum":["notAllowed","allowed"],"default":"allowed"},"uplinkThroughputPerNetworkSliceMaximumUplinkThroughput":{"description":"This attribute describes the guaranteed data rate supported by the network slice in uplink. There are services (e.g. emergency services) where guaranteed uplink throughput is required. bps","type":"integer"},"uplinkThroughputPerUEMaximumUplinkThroughput":{"description":"This attribute describes the maximum data rate supported by the network slice per UE in uplink. These parameters could be used in order to offer different contract qualities like gold, silver and bronze. kbps","type":"integer"},"UplinkThroughputPerUEServiceCategory":{"description":"This attribute defines a service category wich may be assigned to a UE, associated to a Simlultaneous class value","type":"string"},"userManagementOpenness":{"description":"This attribute describes the capability for the NSC to manage their users or groups of users’ network services and corresponding requirements. For instance, if NSC Y orders a network slice which is capable to support X users of Y, then Y should be capable to decide which X users could use this network slice. Hence, Y could manage the users, in terms of add, modify or delete users to receive network services provided by the specific network slice.","enum":["notAllowed","allowed"],"default":"allowed"},"dataNetworkAccessDataAccessPerNetwork":{"description":"This attribute describes the capability for the NSC to manage their users or groups of users’ network services and corresponding requirements. For instance, if NSC Y orders a network slice which is capable to support X users of Y, then Y should be capable to decide which X users could use this network slice. Hence, Y could manage the users, in terms of add, modify or delete users to receive network services provided by the specific network slice.","enum":["Direct internet access","Termination in the private network","Local traffic (no internet access)"],"default":"Direct internet access"},"dataNetworkAccessTunnellingMechanism":{"description":"The attribute defines the tunnelling mechanism; how the user data can be delivered to the external private data network. 3GPP TS 29.561 [12] lists the interworking with data networks and tunnelling mechanism used","enum":["L2TP Tunnel","GRE Tunnel","VPN Tunnel","Label based routing"],"default":"L2TP Tunnel"},"V2XCommunicationMode":{"description":"This parameter describes if the V2X communication mode is supported by the network slice.","enum":["Not supported","YES-EUTRA","YES- NR","YES -NR and E-UTRA"],"default":"Not supported"},"Latency from (last) UFP to Application Server":{"description":"Latency in Secondsmfrom (last) UFP to Application Server This optional attribute specifies maximum or worst case one-way latency between UPF and application server offered by the slice. This does not include latency introduced by the application server. In the case of chained UPFs, this refers to the last UPF (in the chain) towards the application server. This attribute extends what is covered by the 3GPP QoS PDB attribute (see GST QoS attribute) which is only between UE and UPF. This is an optional attribute for network slices that offer latency objectives between UPF and application server residing within the operator network. ","type":"number"},"NSSAARequired":{"description":"Network Slice Specific Authentication and Authorization (NSSAA). This attribute specifies whether for the Network Slice, devices need to be also authenticated and authorized by a AAA server using additional credentials different than the ones used for the primary authentication (see Rel-16 of 3GPP TS 23.501 [1] clause 5.15.10 for a definition of the Network Slice Specific Authentication and Authorization feature). ","enum":["Not supported","YES-EUTRA","YES- NR","YES -NR and E-UTRA"],"default":"Not supported"},"multimediaPriorityService":{"description":"Multimedia Priority Service (MPS) leads to priority of traffic relative to other traffic. Note: Not including this attribute is equal to setting it to Non-MPS.  ","enum":["non-MPS","MPS"],"default":"non-MPS"},"multimediaPriorityServiceCapabilitySupport":{"description":"This parameter specifies what capabilities are available to support MPS. More than one capability may be supported at once. This parameter must be present if Multimedia Priority Service support is set to “MPS”. ","enum":["Preemption","user Prioritization"],"default":"Preemption"},"multimediaPriorityServiceSupport":{"description":"This attribute specifies whether or not the network slice supports MPS for MMTel voice, MPS for MMTel video, and/or MPS for Data as specified in 3GPP TS 22.153 [31]. This parameter must be present if Multimedia Priority Service support is set to “MPS”. ","enum":["MPS for MMTel voice","MPS for MMTel video","MPS for Data"],"default":"MPS for MMTel voice"},"sliceSegment":{"description":"This attribute specifies Subnet involved in the slice ","enum":["End to End","Ran only","Core only"],"default":"End to End"},"supportedDataNetwork":{"description":"This attribute describes the data nework the network slice provides access to","type":"string"},"supportedDataNetworkServiceCategory":{"description":"This attribute defines a service category wich may be assigned to certain groups of devices using the netwirk slice, associated to a Maximum Dowlink Troughput","type":"string"}},"allOf":[{"$ref":"#/definitions/Service"}]},"Service_Create":{"type":"object","description":"Service is a base class for defining the Service hierarchy. All Services are characterized as either being possibly visible and usable by a Customer or not. This gives rise to the two subclasses of Service: CustomerFacingService and ResourceFacingService.\nSkipped properties: id,href","required":["state","serviceSpecification"],"properties":{"category":{"type":"string","description":"Is it a customer facing or resource facing service"},"description":{"type":"string","description":"Free-text description of the service"},"endDate":{"type":"string","format":"date-time","description":"Date when the service ends"},"hasStarted":{"type":"boolean","description":"If TRUE, this Service has already been started"},"isBundle":{"type":"boolean","description":"If true, the service is a ServiceBundle which regroup a service hierachy. If false, the service is a 'atomic' service (hierachy leaf)."},"isServiceEnabled":{"type":"boolean","description":"If FALSE and hasStarted is FALSE, this particular Service has NOT been enabled for use - if FALSE and hasStarted is TRUE then the service has failed "},"isStateful":{"type":"boolean","description":"If TRUE, this Service can be changed without affecting any other services"},"name":{"type":"string","description":"Name of the service"},"serviceDate":{"type":"string","description":"Date when the service was created (whatever its status)."},"serviceType":{"type":"string","description":"Business type of the service"},"startDate":{"type":"string","format":"date-time","description":"Date when the service starts"},"startMode":{"type":"string","description":"This attribute is an enumerated integer that indicates how the Service is started, such as: 0: Unknown; 1: Automatically by the managed environment; 2: Automatically by the owning device; 3: Manually by the Provider of the Service; 4: Manually by a Customer of the Provider; 5: Any of the above"},"feature":{"type":"array","items":{"$ref":"#/definitions/Feature"},"description":"A list of feature associated with this service "},"note":{"type":"array","items":{"$ref":"#/definitions/Note"},"description":"A list of notes made on this service"},"place":{"type":"array","items":{"$ref":"#/definitions/RelatedPlaceRefOrValue"},"description":"A list of places (Place [*]). Used to define a place useful for the service (for example a geographical place whre the service is installed)"},"relatedEntity":{"type":"array","items":{"$ref":"#/definitions/RelatedEntityRefOrValue"},"description":"A list of related  entity in relationship with this service "},"relatedParty":{"type":"array","items":{"$ref":"#/definitions/RelatedParty"},"description":"A list of related party references (RelatedParty [*]). A related party defines party or party role linked to a specific entity"},"serviceCharacteristic":{"type":"array","items":{"$ref":"#/definitions/Characteristic"},"description":"A list of characteristics that characterize this service (ServiceCharacteristic [*]) "},"serviceOrderItem":{"type":"array","items":{"$ref":"#/definitions/RelatedServiceOrderItem"},"description":"A list of service order items related to this service"},"serviceRelationship":{"type":"array","items":{"$ref":"#/definitions/ServiceRelationship"},"description":"A list of service relationships (ServiceRelationship [*]). Describes links with other service(s) in the inventory (useful for describing relies-on, relies-from between CFS for example)."},"serviceSpecification":{"$ref":"#/definitions/ServiceSpecificationRef","description":"The specification from which this service was instantiated"},"state":{"$ref":"#/definitions/ServiceStateType","description":"The life cycle state of the service, such as designed, reserved, active, etc..."},"supportingResource":{"type":"array","items":{"$ref":"#/definitions/ResourceRef"},"description":"A list of supporting resources (SupportingResource [*]).Note: only Service of type RFS can be associated with Resources"},"supportingService":{"type":"array","items":{"$ref":"#/definitions/ServiceRefOrValue"},"description":"A list of supporting services (SupportingService [*]). A collection of services that support this service (bundling, link CFS to RFS)"},"@baseType":{"type":"string","description":"When sub-classing, this defines the super-class"},"@schemaLocation":{"type":"string","format":"uri","description":"A URI to a JSON-Schema file that defines additional attributes and relationships"},"@type":{"type":"string","description":"When sub-classing, this defines the sub-class entity name"}}},"5GSliceService_Create":{"type":"object","description":"Service is a base class for defining the Service hierarchy. All Services are characterized as either being possibly visible and usable by a Customer or not. This gives rise to the two subclasses of Service: CustomerFacingService and ResourceFacingService.\nSkipped properties: id,href","required":["state","serviceSpecification"],"properties":{"availability":{"description":"(Communication service)availability: percentage value of the amount of time the end-to-end communication service is delivered according to an agreed QoS, divided by the amount of time the system is expected to deliver the end-to-end service according to the specification in a specific area","type":"number"},"areaofServiceCountry":{"description":"This attribute specifies the area where the terminals can access a particular network slice. Therefore, the attribute specifies the list of the countries where the service will be provided. The list is specific to NSPs and their roaming agreements","type":"string","pattern":"2[A,Z]"},"areaofServiceRegion":{"description":"For every single country listed in the area of service attribute it needs to be indicated if the service will be provided in the whole country or just in part of the country. If the NSC requires a specific location, this attribute can be used to specify the regions of the country where the service will be provided. It needs to be completed for every country listed in the Area of service attribute. The list of regions is specific for each country and the way to define these regions is the decision of the NSC and NSP.","type":"string","pattern":"2[A,Z]"},"delayTolerance":{"description":"Provide the NSC with service delivery flexibility, especially for the vertical services that are not chasing a high system performance. For instance, the service will be delivered once the mobile system has sufficient resources or during the off-peak hours. For this type of traffic, it is not too critical how long it takes to deliver the amount of data, e.g. within hours, days, weeks, etc.","type":"string"},"deterministicCommunicationAvailabilty":{"description":"Availability describes if the network slice supports deterministic communication.","enum":["Suported","NotSupported"],"default":"NotSupported"},"deterministicCommunicationPeriodicity":{"description":"Periodicity provides a list of periodicities supported by the network slice.","type":"string","minItems":0,"maxItems":5},"downlinkThroughputPerNetworkSliceGuaranteedDownlinkThroughputQuota":{"description":"This attribute describes the guaranteed data rate supported by the network slice in downlink.","type":"integer","minimum":0,"maximum":1000000},"additionalDownlinkGBRQoSFlows":{"description":"Additional downlink GBR QoS flows .","type":"boolean","default":"true"},"downlinkThroughputPerNetworkSliceMaximumDownlinkThroughput":{"description":"This attribute defines the maximum data rate supported by the network slice in downlink.","type":"integer","minimum":0,"maximum":1000000},"downlinkThroughputperUEDownlinkMaximumRateServiceCategory":{"description":"This attribute defines a service category wich may be assigned to certain groups of devices using the netwirk slice, associated to a Maximum Dowlink Troughput","type":"string"},"energyEfficiencyNetworkSliceEnergyEfficiencyKPI":{"description":"This attribute describes wether the network slice supports the energy efficiency KPI","enum":["Suported","NotSupported"],"default":"NotSupported"},"groupCommunicationSupport":{"description":"This parameter describes which type of group communication is provided by the network slice. ","enum":["NotSupported","Single Cell Point to Multipoint (SCPTM)","Broadcast/Multicast","Broadcast/Multicast + SC-PTM","Unicast"],"default":"NotSupported"},"isolation":{"description":"Isolation is one of the key expectations of network slicing. A network slice instance may be fully or partly, logically and/or physically, isolated from another network slice instance. ","enum":["No Isolation","Physical Isolation","Logical Isolation"],"default":"No Isolation"},"physicalIsolation":{"description":"Physical network slices are physically separated (e.g. different rack, different hardware, different location, etc.). Process and threads isolation,  Physical memory isolation, Physical network isolation","enum":["Process and threads Isolation","Physical memory Isolation","Physical network isolation"],"default":"Process and threads Isolation"},"logicalIsolation":{"description":"Logical network slices are logically separated. Virtual resources isolation a network slice has access to specific range of resources that do not overlap with other network slices (e.g. VM isolation). Network functions isolation   NF (Network Function) is dedicated to the NSC, but virtual resources are shared. Tenant/Service Isolation  NSC data are isolated from other NSCs, but virtual resources and NFs are shared","enum":["Virtual resource isolation","Network Function isolation","Tenant/Service isolation"],"default":"Virtual resource isolation"},"maximumSupportedPacketSize":{"description":"This attribute describes the maximum packet size in Bytes supported by the network slice and may be important for URLLC (Ultra-Reliable Low Latency Communication) and MIoT (Massive IoT), or to indicate a supported maximum transmission unit (MTU).","type":"integer"},"missionCriticalSupport":{"description":"Mission-critical (MC) leads to a priority of the network slice relative to others, for C-plane (Control Plane) and U-plane (User Plane) decisions. This is relative to a customer provider relationship and to a PLMN (Public land Mobile Network)","enum":["non-mission-critical","mission-critical"],"default":"non-mission-critical"},"missionCriticalSupportMissionCriticalCapabilitySupport":{"description":"This parameter specifies what capabilities are available to support mission-critical services.  More than one capability may be supported at once.  This parameter must be present if Mission critical supportis set toMission-critical.","enum":["Inter-user prioritization","Pre-emption","Local control"],"default":"Inter-user prioritization"},"missionCriticalSupporMissionCriticalServiceSupport":{"description":"This attribute specifies whether or not the network slice supports mission-critical push-to-talk (MCPTT), mission-critical data (MCData)], mission-critical video (MCVideo), Isolated E-UTRAN Operation for Public Safety (IOPS), or mission-critical interworking","enum":["MCPTT","MCData","MCVideo","MC interworking"],"default":"MCPTT"},"MMTelSupport":{"description":"This attribute describes whether the network slice supports IP Multimedia Subsystem (IMS) and Multimedia Telephony Service MMTel. This parameter describes whether the GSMA PRD IR.92 0 compliant MMTel deployment is supported in the network slice","enum":["Suported","NotSupported"],"default":"NotSupported"},"NB-IoTSupport":{"description":"This parameter describes whether NB-IoTis supported in the network slice","enum":["Suported","NotSupported"],"default":"NotSupported"},"EPSCountingRequiredUE":{"description":"If this parameter indicates that EPS counting is required, the UE sessions counting shall also take into account the PDN connections in the EPS connected to an APN that maps to a DNN/S-NSSAI of the network slice. ","enum":["no","yes"],"default":"no"},"performanceMonitoringAvailability":{"description":"This parameter contains a list of KQIs and KPIs available for monitoring. If the list is empty this attribute is not available in the network slice and the other parameters might be ignored","enum":["no","yes"],"default":"no"},"performanceMonitoringAvailabilityFrequency":{"description":"This parameter contains a list of KQIs and KPIs available for monitoring. If the list is empty this attribute is not available in the network slice and the other parameters might be ignored","type":"string"},"performanceMonitoringSampleFrequency":{"description":"This parameter describes how often the KQIs and KPIs are monitored.","enum":["per second","per minute","per hour","conditional, e.g. in case a defined threshold is crossed"],"default":"per second"},"performancePredictionAvailability":{"description":"This parameter contains a list of KQIs and KPIs available for prediction. If the list is empty, the attribute is not available in the network slice and the other parameters might be ignored","enum":["Throughput","Latency","Service Request Success Rate"],"default":"Throughput"},"performancePredictionFrequency":{"description":"This parameter describes how often KQIs and KPIs prediction values are provided","enum":["per second","per minute","per hour"],"default":"per second"},"positioningSupportAvailability":{"description":"This parameter describes if this attribute is provided by the network slice and contains a list of positioning methods provided by the slice. If the list is empty this attribute is not available in the network slice and the other parameters might be ignored","enum":["CID","OTDOA (LTE and NR)","RF fingerprinting","AECID","Hybrid positioning","NET-RTK"]},"positioningSupportPredictionFrequency":{"description":"This parameter describes how often location information is provided. This parameter simply defines how often the customer is allowed to request location information. This is not related to the time it takes to determine the location, which is a characteristic of the positioning method.","enum":["per second","per minute","per hour","conditional, e.g. in case a defined threshold is crossed"],"default":"per second"},"positioningSupportAccuracy":{"description":"This parameter describes the accuracy of the location information. Accuracy depends on the respective positioning solution applied in the network slice","type":"number"},"radioSpectrum":{"description":"Defines the radio spectrum supported by the network slice. See NR operating band identifiers in 3GPP TS 38.101-4","type":"string"},"rootCauseInvestigation":{"description":"Root cause investigation is the capability provided to NSC to understand or investigate the root cause of network service performance degradation or failure","enum":["not supported","passive investigation","active investigation"],"default":"not supported"},"sessionAndServiceContinuitySupport":{"description":"The attribute defines the continuity of a Protocol Data Unit (PDU) session. The following three Session and Service Continuity (SSC) modes are specified: SSC mode 1 - the network preserves the connectivity service provided to the UE (the IP address is preserved), SSC mode 2 - the network may release the connectivity service delivered to the UE and release the corresponding PDU Session (the network may release IP address(es) that had been allocated to the UE), SSC mode 3 - changes to the user plane can be visible to the UE, while the network ensures that the UE suffers no loss of connectivity service (the IP address is not preserved in this mode when the PDU Session Anchor changes), None – UE loses the connectivity service","enum":["SSC mode 1","SSC mode 2","SSC mode 3"]},"simultaneousUseOfNetworkSlice":{"description":"This attribute describes whether a network slice can be simultaneously with other network slice and if so, which group the network slice belongs to","enum":["Can be used with any slice","Can be used with slices with same SST value","Can be used with any slice with same SD value","Can be used simultaneously with any network slice with the same SD value but different SST value ","Cannot be used simultaneously with any another network slice ","operator defined class"],"default":"Can be used with any slice"},"simultaneousUseOfNetworkSliceServiceCategory":{"description":"This attribute defines a service category wich may be assigned to a UE, associated to a Simlultaneous class value","type":"string"},"sliceQualityOfServiceParameters5QI":{"description":"A 5QI is a scalar used as a reference to 5G QoS characteristics defined in clause [1], i.e. access node-specific parameters that control QoS forwarding treatment for the QoS Flow (e.g. scheduling weights, admission thresholds, queue management thresholds, link layer protocol configuration, etc.). 3GPP has already defined standardized 5QI to QoS characteristics mapping. See 5QI value in the table of GNST","type":"integer","minimum":1,"maximum":200},"sliceQualityOfServiceParametersPriorityLeve":{"description":"The Priority level associated with 5G QoS characteristics indicates a priority in scheduling resources among QoS Flows. The Priority level shall be used to differentiate between QoS Flows of the same UE, and it shall also be used to differentiate between QoS Flows from different UEs. Once all QoS requirements up to GFBR are fulfilled for all the Guaranteed Bit Rate (GBR) QoS Flows, the Priority Level may also be used to distribute resources between GBR QoS Flows (for rates above GFBR up to MFBR, Maximum Flow Bit Rate) and non- GBR QoS Flows, in an implementation specific manner. The lowest Priority level value corresponds to the highest Priority [1]. This value needs to be provided for each customised 5QI value selected..","type":"string"},"sliceQualityOfServiceParametersPacketDelayBudget":{"description":"The Packet Delay Budget (PDB) defines an upper bound for the time that a packet may be delayed between the UE and the UPF, that terminates the N6 interface. For a certain 5QI the value of the PDB is the same in UL (Uplink) and DL (Downlink). In the case of 3GPP access, the PDB is used to support the configuration of scheduling and link layer functions (e.g. the setting of scheduling priority weights and HARQ (Hybrid Automatic Repeat request) target operating points).","type":"string"},"sliceQualityOfServiceParametersPacketErrorRate":{"description":"The Packet Error Rate (PER) defines an upper bound for the rate of PDUs (e.g. IP packets) that have been processed by the sender but that are not successfully delivered by the corresponding receiver. The purpose of the PER is to allow for the appropriate link layer, protocol configurations (e.g. RLC and HARQ in RAN of a 3GPP access). For all 5QIs the value of the PER is the same in UL and DL. For GBR QoS Flows with Delay critical GBR resource type, a packet which is delayed more than PDB (but which complies with the GFBR and MDBV (Maximum Data Burst Volume) requirements) is counted as lost, and included in the PER. This value needs to be provided for each customised 5QI value selected.","type":"string"},"averagingWindow":{"description":"millisecond Each GBR QoS Flow shall be associated with an Averaging window. The Averaging window represents the duration over which the GFBR and MFBR shall be calculated (e.g. in the (R)AN, UPF, UE). (see clause 5.7.3.6 of 3GPP TS 23.501 [1]).","type":"integer"},"maximumDataBurstVolume":{"description":"bytes Each GBR QoS Flow with Delay-critical resource type shall be associated with a Maximum Data Burst Volume (MDBV). MDBV denotes the largest amount of data that the 5G-AN is required to serve within a period of 5G-AN PDB (i.e. 5G-AN part of the PDB) (see clause 5.7.3.7 of 3GPP TS 23.501 [1]). ","type":"integer"},"sliceQualityOfServiceParametersMaximumPacketLossRate":{"description":"Percentage The Maximum Packet Loss Rate (UL, DL) indicates the maximum rate for lost packets of the QoS flow that can be tolerated in the uplink (UL) and downlink (DL) direction.","type":"integer"},"supportForNon-IPTraffic":{"description":"Percentage The Maximum Packet Loss Rate (UL, DL) indicates the maximum rate for lost packets of the QoS flow that can be tolerated in the uplink (UL) and downlink (DL) direction.","enum":["Suported","NotSupported"],"default":"NotSupported"},"supportedDeviceVelocity":{"description":"Kilometres per hour (km/h) Maximum speed supported by the network slice at which a defined QoS and seamless transfer between TRxPs (Transmission Reception Point(s)), which may belong to different deployment layers and/or radio access technologies (multi-layer /-RAT), can be achieved.","type":"integer"},"synchronicityAvailability":{"description":"The synchronicity between devices over PC5 in absence of the network is not in scope of this attribute.","enum":["Suported","NotSupported"],"default":"NotSupported"},"synchronicityAccuracy":{"description":"This parameter describes the accuracy of the synchronicity. in Seconds","type":"number"},"UEDensity":{"description":"This attribute describes the maximum number of connected and/or accessible devices per unit area (per km2) supported by the network slice.Number per km2","type":"integer"},"uplinkThroughputPerNetworkSliceGuaranteedUplinkThroughput":{"description":"This attribute describes the guaranteed data rate supported by the network slice in uplink. There are services (e.g. emergency services) where guaranteed uplink throughput is required. kbps","type":"integer"},"uplinkThroughputPerNetworkSliceAdditionalUplinkGBRQoSFlows":{"enum":["notAllowed","allowed"],"default":"allowed"},"uplinkThroughputPerNetworkSliceMaximumUplinkThroughput":{"description":"This attribute describes the guaranteed data rate supported by the network slice in uplink. There are services (e.g. emergency services) where guaranteed uplink throughput is required. bps","type":"integer"},"uplinkThroughputPerUEMaximumUplinkThroughput":{"description":"This attribute describes the maximum data rate supported by the network slice per UE in uplink. These parameters could be used in order to offer different contract qualities like gold, silver and bronze. kbps","type":"integer"},"UplinkThroughputPerUEServiceCategory":{"description":"This attribute defines a service category wich may be assigned to a UE, associated to a Simlultaneous class value","type":"string"},"userManagementOpenness":{"description":"This attribute describes the capability for the NSC to manage their users or groups of users’ network services and corresponding requirements. For instance, if NSC Y orders a network slice which is capable to support X users of Y, then Y should be capable to decide which X users could use this network slice. Hence, Y could manage the users, in terms of add, modify or delete users to receive network services provided by the specific network slice.","enum":["notAllowed","allowed"],"default":"allowed"},"dataNetworkAccessDataAccessPerNetwork":{"description":"This attribute describes the capability for the NSC to manage their users or groups of users’ network services and corresponding requirements. For instance, if NSC Y orders a network slice which is capable to support X users of Y, then Y should be capable to decide which X users could use this network slice. Hence, Y could manage the users, in terms of add, modify or delete users to receive network services provided by the specific network slice.","enum":["Direct internet access","Termination in the private network","Local traffic (no internet access)"],"default":"Direct internet access"},"dataNetworkAccessTunnellingMechanism":{"description":"The attribute defines the tunnelling mechanism; how the user data can be delivered to the external private data network. 3GPP TS 29.561 [12] lists the interworking with data networks and tunnelling mechanism used","enum":["L2TP Tunnel","GRE Tunnel","VPN Tunnel","Label based routing"],"default":"L2TP Tunnel"},"V2XCommunicationMode":{"description":"This parameter describes if the V2X communication mode is supported by the network slice.","enum":["Not supported","YES-EUTRA","YES- NR","YES -NR and E-UTRA"],"default":"Not supported"},"Latency from (last) UFP to Application Server":{"description":"Latency in Secondsmfrom (last) UFP to Application Server This optional attribute specifies maximum or worst case one-way latency between UPF and application server offered by the slice. This does not include latency introduced by the application server. In the case of chained UPFs, this refers to the last UPF (in the chain) towards the application server. This attribute extends what is covered by the 3GPP QoS PDB attribute (see GST QoS attribute) which is only between UE and UPF. This is an optional attribute for network slices that offer latency objectives between UPF and application server residing within the operator network. ","type":"number"},"NSSAARequired":{"description":"Network Slice Specific Authentication and Authorization (NSSAA). This attribute specifies whether for the Network Slice, devices need to be also authenticated and authorized by a AAA server using additional credentials different than the ones used for the primary authentication (see Rel-16 of 3GPP TS 23.501 [1] clause 5.15.10 for a definition of the Network Slice Specific Authentication and Authorization feature). ","enum":["Not supported","YES-EUTRA","YES- NR","YES -NR and E-UTRA"],"default":"Not supported"},"multimediaPriorityService":{"description":"Multimedia Priority Service (MPS) leads to priority of traffic relative to other traffic. Note: Not including this attribute is equal to setting it to Non-MPS.  ","enum":["non-MPS","MPS"],"default":"non-MPS"},"multimediaPriorityServiceCapabilitySupport":{"description":"This parameter specifies what capabilities are available to support MPS. More than one capability may be supported at once. This parameter must be present if Multimedia Priority Service support is set to “MPS”. ","enum":["Preemption","user Prioritization"],"default":"Preemption"},"multimediaPriorityServiceSupport":{"description":"This attribute specifies whether or not the network slice supports MPS for MMTel voice, MPS for MMTel video, and/or MPS for Data as specified in 3GPP TS 22.153 [31]. This parameter must be present if Multimedia Priority Service support is set to “MPS”. ","enum":["MPS for MMTel voice","MPS for MMTel video","MPS for Data"],"default":"MPS for MMTel voice"},"sliceSegment":{"description":"This attribute specifies Subnet involved in the slice ","enum":["End to End","Ran only","Core only"],"default":"End to End"},"supportedDataNetwork":{"description":"This attribute describes the data nework the network slice provides access to","type":"string"},"supportedDataNetworkServiceCategory":{"description":"This attribute defines a service category wich may be assigned to certain groups of devices using the netwirk slice, associated to a Maximum Dowlink Troughput","type":"string"}},"example":{"availability":"99,999","areaOfService":[{"country":"","listOfRegion":"","region":[{"regionCode":""}]}],"delayTolerance":"Supported","deterministicCommunication":{"availability":"Supported","periodicity":["2 sec"]},"downlinkThroughputPerNetworkSlice":{"guaranteedDownlinkThroughputQuota":0,"additionalDownlinkGBRQoSFlow":"","maxDownlinkThroughputNetworkSlice":0},"maxDownlinkThroughputNetworkperUE":{"maxDownlinkThroughputNetworkperUEValue":0,"serviceCategory":[""]},"networkSliceEnergyEfficiencyKPI":"","groupCommunicationSupport":"Broadcast/Multicast + SC-PTM","isolationLevel":{"isolation":"","physicalIsolation":"","logicalIsolation":""},"maximumSupportedPacketSize":0,"missionCriticalSupport":{"support":"Mission critical","capabilitySupport":"Inter-user prioritization","serviceSupport":"MCPTT,MCData,MCVideo"},"MMTelSupport":"Supported","NB-IoTSupport":"","networkFunctionsOwnedByNetworkSliceCustomer":[""],"maximumNumberOfPDUSessions":{"maximumNumberOfPDUSessions":0,"epsCountingRequired":false},"maximumNumberOfUEs":{"maximumNumberOfUEs":0,"epsCountingRequired":false},"performanceMonitoring":{"availability":"Service Request Success Rate","monitoringSampleFrequency":"Per minute"},"performancePrediction":{"availability":"Throughput,Latency,Service Request Success Rate","predictionFrequency":"Per minute"},"positioningSupport":{"availability":"CIDE-CID (LTE and NR),OTDOA (LTE and NR),AECID","predictionFrequency":"Per minute","accuracy":0},"radioSpectrum":"","rootCauseInvestigation":"","sessionAndServiceContinuitySupport":"SSC mode 1","simultaneousUseOfNetworkSlice":{"simultaneousUseClass":"","serviceCategory":""},"sliceQualityOfService":{"5QI":"83","priorityLeve":"","packetDelayBudget":"","packetErrorRate":"","averagingWindow":0,"maximumDataBurstVolume":0,"maximumPacketLossRate":0},"supportForNon-IPTraffic":"Supported","supportedDeviceVelocity":450,"synchronicity":{"availability":"Between BS and UE & UE andUE","accuracy":0},"UEDensity":10000,"uplinkThroughputPerNetworkSlice":{"guaranteedUplinkThroughput":0,"additionalUplinkGBRQoSFlows":"","maximumUplinkThroughput":0},"uplinkThroughputPerUE":{"maximumUplinkThroughput":0,"serviceCategory":""},"userManagementOpenness":"Supported","dataNetworkAccess":{"dataAccessPerNetwork":"","tunnellingMechanism":""},"V2XCommunicationMode":"YES -NR and E-UTRA","Latency from (last) UFP to Application Server":0,"NSSAARequired":"","multimediaPriorityService":{"multimediaPriorityService":"MPS","capabilitySupport":"","priorityServiceSupport":""},"sliceSegment":"","supporteDataNetwork":{"supportedDataNetwork":"","serviceCategory":""},"@type":"5GSlice"},"allOf":[{"$ref":"#/definitions/Service_Create"}]},"Service_Update":{"type":"object","description":"Service is a base class for defining the Service hierarchy. All Services are characterized as either being possibly visible and usable by a Customer or not. This gives rise to the two subclasses of Service: CustomerFacingService and ResourceFacingService.\nSkipped properties
[...]
